### Method

# Clutter SnapConstraint set_edges

#### Declaration [src]

    void
    clutter_snap_constraint_set_edges (
      ClutterSnapConstraint* constraint,
      ClutterSnapEdge from_edge,
      ClutterSnapEdge to_edge
    )

#### Description [src]

Sets the edges to be used by the `constraint`

The `from_edge` is the edge on the `ClutterActor` to which `constraint` has been added. The `to_edge` is the edge of the `ClutterActor` inside the `ClutterSnapConstraint:source` property.

#### Parameters

`from_edge`

  Type: `ClutterSnapEdge`

  The edge on the actor.

`to_edge`

  Type: `ClutterSnapEdge`

  The edge on the source.